'use strict';

var chunkAGHRB4JF = require('./chunk-AGHRB4JF.js');
require('../../../../../../d3-transition@3.0.1_d3-selection@3.0.0/node_modules/d3-transition/src/selection/index.js');
require('../../../../../../d3-zoom@3.0.0/node_modules/d3-zoom/src/transform.js');
var select = require('../../../../../../d3-selection@3.0.0/node_modules/d3-selection/src/select.js');

var getDiagramElement = /* @__PURE__ */ chunkAGHRB4JF.__name((id, securityLevel) => {
  let sandboxElement;
  if (securityLevel === "sandbox") {
    sandboxElement = select("#i" + id);
  }
  const root = securityLevel === "sandbox" ? select(sandboxElement.nodes()[0].contentDocument.body) : select("body");
  const svg = root.select(`[id="${id}"]`);
  return svg;
}, "getDiagramElement");

exports.getDiagramElement = getDiagramElement;
